<?php
echo "<div class='aut'>Городской центр</div>";
$sv=$q['eda'];
  if($sv>='2'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      $collvo=$colvo*2;
      if($sv>=$collvo){
        mysql_query("UPDATE `empire` SET `narod`=`narod`+$colvo, `eda`=`eda`-$collvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Успешно');


}
else
{
msg('У вас нет столько еды');
}
}
else
{
  echo "<div class='f2'><form method='post' action='?do=4&amp;$passgen'>
  Кол-во жителей<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Добавить'/>
  </form></div>\n";
  }
}
else
{
  echo "У вас нехватает еды<br/>";
}
echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
?>